Subject: [PATCH v8 12/12] document: devicetree: bind pinconf with pin single

From: [email-masked] (Tony Lindgren)
Date: Wed, 6 Feb 2013 09:16:07 -0800

* Haojian Zhuang <[email-masked]> [130206 07:11]:
> On 6 February 2013 07:30, Tony Lindgren <[email-masked]> wrote:
> > * Haojian Zhuang <[email-masked]> [130205 05:55]:
> >>
> >> Maybe it didn't cover your case. It seems that there's only one bit
> >> for bias in your case.
> >> You can control MMC BIAS enable or disable. And there's neither pullup
> >> nor pulldown.
> >> Is it right?
> >
> > Yes for this register there are no pulls. But I there are others that
> > have pull bits.
> >
> >>      So I will need both config BIAS_ENABLE & config BIAS_DISABLE.
> >> Driver switches between BIAS_ENABLE & BIAS_DISABLE.
> >
> > I'd like to avoid mapping both enable and disable for everything
> > which seems bloated..
> >
> 
> pinctrl-coh901 driver already uses PIN_CONFIG_BIAS_DISABLE without argument.
> 
> I think that it's better to use both BIAS_ENABLE & BIAS_DISABLE. Otherwise,
> I need to update pinctrl-coh901 driver with updating the interface.
> The work is a little
> large.

Well how about just let's keep the existing PIN_CONFIG_BIAS_DISABLE
and PIN_CONFIG_BIAS_ENABLE for compability, but let's still standardize
on PIN_CONFIG_XXX_ENABLE for all the new ones to avoid bloat?

> Maybe we can use another name, PIN_CONFIG_BIAS_AUTOPULL. Then we can
> distinguish it from PULL_UP & PULL_DOWN without any confusion. What's your
> opinion?

Sounds OK to me if you need that.

Regards,

Tony